<?php
# 小程序基本配置
$config['type'] = 3;

$config['token'] = array
(
	'name' => '获取小程序的token',
	'method' => 'get',
	'json' => false,
	'url' => 'https://api.weixin.qq.com/cgi-bin/token?',
	'param' => array
	(
		'appid' => 'appid',
		'secret' => 'secret',
		'grant_type' => 'client_credential',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		'access_token' => 'token',
		'expires_in' => 'expires_in',
	),
);

$config['send_msg'] = array
(
	'name' => '发送模板消息',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/cgi-bin/message/wxopen/template/send?',
	'url' => 'https://api.weixin.qq.com/cgi-bin/message/wxopen/template/uniform_send?',
	'param' => array
	(
		'access_token' => 'token',
		'touser' => 'touser',
		'weapp_template_msg' => array
		(
			'template_id' => 'template_id',
			'page' => 'page',
			'form_id' => 'form_id',
			'data' => 'data',
			'emphasis_keyword' => 'emphasis_keyword',
		),
		
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['get_msg'] = array
(
	'name' => '获取帐号下已存在的模板列表',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/cgi-bin/wxopen/template/list?',
	'param' => array
	(
		'access_token' => 'token',
		'offset' => '0',
		'count' => '20',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['send_subscribe'] = array
(
	'name' => '发送订阅消息',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/cgi-bin/message/subscribe/send?',
	'param' => array
	(
		'access_token' => 'token',
		'touser' => 'touser',
		'template_id' => 'template_id',
		'page' => 'page',
		'data' => 'data',
		'miniprogram_state' => 'miniprogram_state',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['get_subscribe'] = array
(
	'name' => '获取帐号下已存在的订阅消息模板列表',
	'method' => 'get',
	'json' => false,
	'url' => 'https://api.weixin.qq.com/wxaapi/newtmpl/gettemplate?',
	'param' => array
	(
		'access_token' => 'token',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['total_base'] = array
(
	'name' => '概况趋势',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/datacube/getweanalysisappiddailysummarytrend?',
	'param' => array
	(
		'access_token' => 'token',
		'end_date' => 'end_date',
		'begin_date' => 'begin_date',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['total_visit'] = array
(
	'name' => '访问趋势',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/datacube/getweanalysisappiddailyvisittrend?',
	'param' => array
	(
		'access_token' => 'token',
		'end_date' => 'end_date',
		'begin_date' => 'begin_date',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['code'] = array
(
	'name' => '获取小程序码',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/wxa/getwxacodeunlimit?',
	'param' => array
	(
		'access_token' => 'token',
		'scene' => 'param',
		'page' => 'path',
		'width' => 'width',
		'is_hyaline' => 'is_hyaline',
		'env_version' => 'env_version',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		'img' => true,
	),
);

$config['ship'] = array
(
	'name' => '发货信息录入',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/wxa/sec/order/upload_shipping_info?',
	'param' => array
	(
		'access_token' => 'token',
		'order_key' => 'order_key',
		'logistics_type' => 'logistics_type',
		'delivery_mode' => 'delivery_mode',
		'shipping_list' => 'shipping_list',
		'upload_time' => 'upload_time',
		'is_all_delivered' => 'is_all_delivered',
		'payer' => 'payer',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['ship_confirm'] = array
(
	'name' => '确认收货',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/wxa/sec/order/notify_confirm_receive?',
	'param' => array
	(
		'access_token' => 'token',
		'merchant_id' => 'merchant_id',
		'merchant_trade_no' => 'merchant_trade_no',
		'received_time' => 'received_time',
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

$config['delivery'] = array
(
	'name' => '获取物流',
	'method' => 'post',
	'json' => true,
	'url' => 'https://api.weixin.qq.com/cgi-bin/express/delivery/open_msg/get_delivery_list?',
	'param' => array
	(
		'access_token' => 'token',
		'test' => 1,
	),
	//针对一些返回的名称，做转换
	'response' => array
	(
		
	),
);

return $config;