<?php

return array
(
	# 表名
	'name' => 'code',
	# 显示给用户看的名称
	'lang' => '小程序码',
	'order' => 100,
	'menu'	=> false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目ID',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
			'list'		=> 'Dever::load("token/project-one#name", {project_id})',
		),

		'file'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '文件地址',
			'default' 	=> '',
			'desc' 		=> '文件地址',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'filename'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '生成文件名',
			'default' 	=> '',
			'desc' 		=> '生成文件名',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'path'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '小程序路径',
			'default' 	=> '',
			'desc' 		=> '小程序路径',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'send'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '小程序传参',
			'default' 	=> '',
			'desc' 		=> '小程序传参',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'width'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '宽度',
			'default' 	=> '',
			'desc' 		=> '宽度',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'env'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '环境',
			'default' 	=> '',
			'desc' 		=> '环境',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'mdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '生成时间',
			'default' 	=> '',
			'desc' 		=> '生成时间',
			'match' 	=> 'option',
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'default' 	=> '',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		
	),
);
