<?php

$status = array
(
	1 => '发送中',
	2 => '发送成功',
	3 => '发送失败',
);

$type = array
(
	'developer' => '开发版',
	'trial' => '体验版',
	'formal' => '正式版',
);

return array
(
	# 表名
	'name' => 'subscribe_log',
	# 显示给用户看的名称
	'lang' => '订阅消息日志',
	'order' => 77,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
			'list'		=> 'Dever::load("token/project-one#name", {project_id})',
		),
		
		'subscribe_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '消息id',
			'default' 	=> '',
			'desc' 		=> '消息id',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> 'Dever::load("wechat_applet/subscribe-one#name", {subscribe_id})',
		),

		'touser'		=> array
		(
			'type' 		=> 'varchar-120',
			'name' 		=> '接收者',
			'default' 	=> '',
			'desc' 		=> '接收者',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'path'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '跳转页面',
			'default' 	=> '',
			'desc' 		=> '跳转页面',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			//'list'		=> true,
		),

		'data'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '模板内容',
			'default' 	=> '',
			'desc' 		=> '模板内容',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			//'list'		=> true,
		),

		'miniprogram_state'		=> array
		(
			'type' 		=> 'varchar-300',
			'name' 		=> '跳转小程序类型',
			'default' 	=> 'formal',
			'desc' 		=> '跳转小程序类型',
			'match' 	=> 'option',
			'update'	=> 'select',
			'search'	=> 'select',
			'option'	=> $type,
			'list'		=> true,
		),

		'num'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '发送次数',
			'default' 	=> '0',
			'desc' 		=> '发送次数',
			'match' 	=> 'option',
			//'search'	=> 'order',
			'list'		=> true,
		),

		'result'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '微信返回信息',
			'default' 	=> '',
			'desc' 		=> '微信返回信息',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
			'modal'		=> '查看详情',
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '状态',
			'match' 	=> 'is_numeric',
			'update'	=> 'select',
			'option'	=> $status,
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'default' 	=> '',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	//'top' => Dever::config('base', 'wechat_applet')->top,

	'manage' => array
	(
		'delete' => false,
		'insert' => false,
		'edit' => false,
	),
);
